unit ChartLogTestForm;

{$mode objfpc}{$H+}

interface

uses
 Classes, SysUtils, FileUtil, TAGraph, TATransformations, TASeries, Forms,
 Controls, Graphics, Dialogs, StdCtrls, TAChartUtils;

type

 { TfrmMain }

 TfrmMain = class(TForm)
  Axistransform: Tchartaxistransformations;
  AxisTransformLog: Tlogarithmaxistransform;
  btnClose: TButton;
  btnLoadData: TButton;
  cbLog: TCheckBox;
  chMain: TChart;
  sLine: TLineSeries;
  procedure btnCloseClick(Sender: TObject);
  Procedure btnLoadDataClick(Sender: Tobject);
  Procedure cbLogChange(Sender: Tobject);
 private

 public

 end;

var
 frmMain: TfrmMain;

implementation

{$R *.lfm}

{ TfrmMain }

procedure TfrmMain.btnCloseClick(Sender: TObject);
begin
 Close;
end;

procedure TfrmMain.btnLoadDataClick(Sender: Tobject);
var
    F: TextFile;
    X, Y: Double;
begin
 try
  AssignFile(F, 'data.dat');
  Reset(F);

  while not EOF(F) do
   begin
    ReadLn(F, X, Y);
    sLine.AddXY(X, Y, '', clTAColor);
  end;

 finally
  CloseFile(F);
 end;
end;

procedure TfrmMain.cbLogChange(Sender: Tobject);
begin
 AxisTransformLog.Enabled := cbLog.Checked;
end;

end.

